<?php

namespace Modules\Employee\Transformers;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use Modules\Settings\Transformers\AddressableResource;

class BranchResource extends JsonResource
{
    public function toArray(Request $request): array
    {
        return [
            'id' => $this->id,
            'name' => $this->name,
            'status' => $this->status,
            'address' => $this->whenLoaded('presentAddress', function () {
                return new AddressableResource($this->presentAddress);
            }),
        ];
    }
}
